Summary:	Utilities that detect other operating system installs on a set of drives
Summary(pl.UTF-8):	Narzędzia wykrywające instalacje innych systemów operacyjnych na dyskach
Name:		os-prober
Version:	1.65
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://ftp.debian.org/debian/pool/main/o/os-prober/%{name}_%{version}.tar.xz
# Source0-md5:	a7e833555f54387a4798ffea8c2bf0d4
URL:		http://packages.qa.debian.org/o/os-prober.html
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/lib

%description
This is a small package that may be depended on by any bootloader
installer package to detect other filesystems with operating systems
on them, and work out how to boot other Linux installs.

%description -l pl.UTF-8
Ten mały pakiet może być wykorzystywany przez dowolne instalatory
bootloaderów w celu wykrycia innych systemów plików zawierających
systemy operacyjne i określenia sposobu uruchomienia innych instalacji
Linuksa.

%prep
%setup -q -n %{name}

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/var/lib/%{name},%{_bindir},%{_datadir}/%{name},%{_libdir}/%{name}}
install -p %{name} $RPM_BUILD_ROOT%{_bindir}
install -p linux-boot-prober $RPM_BUILD_ROOT%{_bindir}
cp -p common.sh $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p newns $RPM_BUILD_ROOT%{_libdir}/%{name}

ARCH=other
%ifarch m68k
ARCH=m68k
%endif
%ifarch ppc ppc64
ARCH=powerpc
%endif
%ifarch sparc sparc64
ARCH=sparc
%endif
%ifarch %{ix86} %{x8664}
ARCH=x86
%endif
for probes in os-probes os-probes/mounted os-probes/init \
			  linux-boot-probes linux-boot-probes/mounted; do \
	install -d $RPM_BUILD_ROOT%{_libdir}/$probes
	cp -a $probes/common/* $RPM_BUILD_ROOT%{_libdir}/$probes
	if [ -e "$probes/$ARCH" ]; then
		cp -a $probes/$ARCH/* $RPM_BUILD_ROOT%{_libdir}/$probes
	fi
done

if [ "$ARCH" = x86 ]; then
	cp -p os-probes/mounted/powerpc/20macosx $RPM_BUILD_ROOT%{_libdir}/os-probes/mounted
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO debian/changelog debian/copyright
%attr(755,root,root) %{_bindir}/linux-boot-prober
%attr(755,root,root) %{_bindir}/os-prober
%dir %{_libdir}/linux-boot-probes
%attr(755,root,root) %{_libdir}/linux-boot-probes/50mounted-tests
%dir %{_libdir}/linux-boot-probes/mounted
%attr(755,root,root) %{_libdir}/linux-boot-probes/mounted/*
%dir %{_libdir}/os-prober
%attr(755,root,root) %{_libdir}/os-prober/newns
%dir %{_libdir}/os-probes
%attr(755,root,root) %{_libdir}/os-probes/50mounted-tests
%dir %{_libdir}/os-probes/init
%attr(755,root,root) %{_libdir}/os-probes/init/*
%dir %{_libdir}/os-probes/mounted
%attr(755,root,root) %{_libdir}/os-probes/mounted/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/common.sh
%dir /var/lib/os-prober
%changelog
* Sat Nov 29 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/os-prober.git;a=log;h=master

* Sat Nov 29 2014 Jakub Bogusz <qboosh@pld-linux.org> ce6b027
- updated to 1.65

* Thu Aug 21 2014 Elan Ruusamäe <glen@delfi.ee> dcd0b07
- tar.xz deps

* Thu Aug 21 2014 Jan Palus <atler@pld-linux.org> 15751ff
- up to 1.64

* Sun Sep 01 2013 Jakub Bogusz <qboosh@pld-linux.org> bf5fbc3
- updated to 1.63

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> c20ba6d
- updated to 1.62

* Sun May 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 8393314
- updated to 1.61

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 62fa5bb
- updated to 1.60

* Tue Jan 08 2013 Jakub Bogusz <qboosh@pld-linux.org> ba88f2b
- updated to 1.57

* Sat Dec 01 2012 Jakub Bogusz <qboosh@pld-linux.org> c8270fb
- updated to 1.56

* Thu Aug 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 1f63152
- updated to 1.55

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 7e1b720
- updated to 1.54

* Sat May 26 2012 Jakub Bogusz <qboosh@pld-linux.org> de7f92d
- updated to 1.53

* Tue Apr 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 2fb30da
- updated to 1.51

* Sun Mar 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 7c47811
- updated to 1.50

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> e39ef20
- up to 1.49

* Tue Jul 19 2011 Elan Ruusamäe <glen@pld-linux.org> cd067cc
- fix x86_64, enable debuginfo (newns is ELF executable)

* Sat May 28 2011 Jakub Bogusz <qboosh@pld-linux.org> e94650d
- updated to 1.47

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> e506348
- updated to 1.46
- pl

* Sat Feb 19 2011 Elan Ruusamäe <glen@pld-linux.org> 5fc0b3b
- up to 1.44

* Mon Dec 27 2010 Elan Ruusamäe <glen@pld-linux.org> f6cfc7e
- up to 1.42

